Skip to main content
POST
Resolve the review thread containing a comment on a pull request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pullRequestID
string<uuid>
required
githubCommentID
integer<int64>
required
Required range: 1 <= x <= 9007199254740991

Query Parameters

org_id
string<uuid>

The pull request's owning organization to act in: the org_id the PullRequest carries. Required when more than one of the caller's organizations owns the pull request.

Response

OK

comments
object[]
required
Minimum array length: 1
diff_hunk
string | null
required
Minimum string length: 1
is_outdated
boolean
required
is_resolved
boolean
required
line
integer<int64> | null
required
Required range: x >= 1
path
string
required
Minimum string length: 1
side
enum<string> | null
required
Available options:
LEFT,
RIGHT